/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.4.0-dev at Tue Oct  9 15:58:33 2018. */

#include "descriptor.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif

const bool google_protobuf_MethodDescriptorProto_client_streaming_default = false;
const bool google_protobuf_MethodDescriptorProto_server_streaming_default = false;
const bool google_protobuf_FileOptions_java_multiple_files_default = false;
const bool google_protobuf_FileOptions_java_string_check_utf8_default = false;
const google_protobuf_FileOptions_OptimizeMode google_protobuf_FileOptions_optimize_for_default = google_protobuf_FileOptions_OptimizeMode_SPEED;
const bool google_protobuf_FileOptions_cc_generic_services_default = false;
const bool google_protobuf_FileOptions_java_generic_services_default = false;
const bool google_protobuf_FileOptions_py_generic_services_default = false;
const bool google_protobuf_FileOptions_php_generic_services_default = false;
const bool google_protobuf_FileOptions_deprecated_default = false;
const bool google_protobuf_FileOptions_cc_enable_arenas_default = false;
const bool google_protobuf_MessageOptions_message_set_wire_format_default = false;
const bool google_protobuf_MessageOptions_no_standard_descriptor_accessor_default = false;
const bool google_protobuf_MessageOptions_deprecated_default = false;
const google_protobuf_FieldOptions_CType google_protobuf_FieldOptions_ctype_default = google_protobuf_FieldOptions_CType_STRING;
const google_protobuf_FieldOptions_JSType google_protobuf_FieldOptions_jstype_default = google_protobuf_FieldOptions_JSType_JS_NORMAL;
const bool google_protobuf_FieldOptions_lazy_default = false;
const bool google_protobuf_FieldOptions_deprecated_default = false;
const bool google_protobuf_FieldOptions_weak_default = false;
const bool google_protobuf_EnumOptions_deprecated_default = false;
const bool google_protobuf_EnumValueOptions_deprecated_default = false;
const bool google_protobuf_ServiceOptions_deprecated_default = false;
const bool google_protobuf_MethodOptions_deprecated_default = false;
const google_protobuf_MethodOptions_IdempotencyLevel google_protobuf_MethodOptions_idempotency_level_default = google_protobuf_MethodOptions_IdempotencyLevel_IDEMPOTENCY_UNKNOWN;


const pb_field_t google_protobuf_FileDescriptorSet_fields[2] = {
    PB_FIELD(  1, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_FileDescriptorSet, file, file, &google_protobuf_FileDescriptorProto_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_FileDescriptorProto_fields[13] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_FileDescriptorProto, name, name, 0),
    PB_FIELD(  2, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, package, name, 0),
    PB_FIELD(  3, STRING  , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, dependency, package, 0),
    PB_FIELD(  4, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, message_type, dependency, &google_protobuf_DescriptorProto_fields),
    PB_FIELD(  5, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, enum_type, message_type, &google_protobuf_EnumDescriptorProto_fields),
    PB_FIELD(  6, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, service, enum_type, &google_protobuf_ServiceDescriptorProto_fields),
    PB_FIELD(  7, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, extension, service, &google_protobuf_FieldDescriptorProto_fields),
    PB_FIELD(  8, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_FileDescriptorProto, options, extension, &google_protobuf_FileOptions_fields),
    PB_FIELD(  9, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_FileDescriptorProto, source_code_info, options, &google_protobuf_SourceCodeInfo_fields),
    PB_FIELD( 10, INT32   , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, public_dependency, source_code_info, 0),
    PB_FIELD( 11, INT32   , REPEATED, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, weak_dependency, public_dependency, 0),
    PB_FIELD( 12, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileDescriptorProto, syntax, weak_dependency, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_DescriptorProto_fields[11] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_DescriptorProto, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, field, name, &google_protobuf_FieldDescriptorProto_fields),
    PB_FIELD(  3, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, nested_type, field, &google_protobuf_DescriptorProto_fields),
    PB_FIELD(  4, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, enum_type, nested_type, &google_protobuf_EnumDescriptorProto_fields),
    PB_FIELD(  5, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, extension_range, enum_type, &google_protobuf_DescriptorProto_ExtensionRange_fields),
    PB_FIELD(  6, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, extension, extension_range, &google_protobuf_FieldDescriptorProto_fields),
    PB_FIELD(  7, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_DescriptorProto, options, extension, &google_protobuf_MessageOptions_fields),
    PB_FIELD(  8, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, oneof_decl, options, &google_protobuf_OneofDescriptorProto_fields),
    PB_FIELD(  9, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, reserved_range, oneof_decl, &google_protobuf_DescriptorProto_ReservedRange_fields),
    PB_FIELD( 10, STRING  , REPEATED, CALLBACK, OTHER, google_protobuf_DescriptorProto, reserved_name, reserved_range, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_DescriptorProto_ExtensionRange_fields[4] = {
    PB_FIELD(  1, INT32   , OPTIONAL, STATIC  , FIRST, google_protobuf_DescriptorProto_ExtensionRange, start, start, 0),
    PB_FIELD(  2, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_DescriptorProto_ExtensionRange, end, start, 0),
    PB_FIELD(  3, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_DescriptorProto_ExtensionRange, options, end, &google_protobuf_ExtensionRangeOptions_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_DescriptorProto_ReservedRange_fields[3] = {
    PB_FIELD(  1, INT32   , OPTIONAL, STATIC  , FIRST, google_protobuf_DescriptorProto_ReservedRange, start, start, 0),
    PB_FIELD(  2, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_DescriptorProto_ReservedRange, end, start, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_ExtensionRangeOptions_fields[3] = {
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_ExtensionRangeOptions, uninterpreted_option, uninterpreted_option, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_ExtensionRangeOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_FieldDescriptorProto_fields[11] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_FieldDescriptorProto, name, name, 0),
    PB_FIELD(  2, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FieldDescriptorProto, extendee, name, 0),
    PB_FIELD(  3, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldDescriptorProto, number, extendee, 0),
    PB_FIELD(  4, UENUM   , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldDescriptorProto, label, number, 0),
    PB_FIELD(  5, UENUM   , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldDescriptorProto, type, label, 0),
    PB_FIELD(  6, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FieldDescriptorProto, type_name, type, 0),
    PB_FIELD(  7, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FieldDescriptorProto, default_value, type_name, 0),
    PB_FIELD(  8, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldDescriptorProto, options, default_value, &google_protobuf_FieldOptions_fields),
    PB_FIELD(  9, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldDescriptorProto, oneof_index, options, 0),
    PB_FIELD( 10, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FieldDescriptorProto, json_name, oneof_index, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_OneofDescriptorProto_fields[3] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_OneofDescriptorProto, name, name, 0),
    PB_FIELD(  2, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_OneofDescriptorProto, options, name, &google_protobuf_OneofOptions_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumDescriptorProto_fields[6] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_EnumDescriptorProto, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_EnumDescriptorProto, value, name, &google_protobuf_EnumValueDescriptorProto_fields),
    PB_FIELD(  3, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_EnumDescriptorProto, options, value, &google_protobuf_EnumOptions_fields),
    PB_FIELD(  4, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_EnumDescriptorProto, reserved_range, options, &google_protobuf_EnumDescriptorProto_EnumReservedRange_fields),
    PB_FIELD(  5, STRING  , REPEATED, CALLBACK, OTHER, google_protobuf_EnumDescriptorProto, reserved_name, reserved_range, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumDescriptorProto_EnumReservedRange_fields[3] = {
    PB_FIELD(  1, INT32   , OPTIONAL, STATIC  , FIRST, google_protobuf_EnumDescriptorProto_EnumReservedRange, start, start, 0),
    PB_FIELD(  2, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_EnumDescriptorProto_EnumReservedRange, end, start, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumValueDescriptorProto_fields[4] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_EnumValueDescriptorProto, name, name, 0),
    PB_FIELD(  2, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_EnumValueDescriptorProto, number, name, 0),
    PB_FIELD(  3, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_EnumValueDescriptorProto, options, number, &google_protobuf_EnumValueOptions_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_ServiceDescriptorProto_fields[4] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_ServiceDescriptorProto, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_ServiceDescriptorProto, method, name, &google_protobuf_MethodDescriptorProto_fields),
    PB_FIELD(  3, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_ServiceDescriptorProto, options, method, &google_protobuf_ServiceOptions_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_MethodDescriptorProto_fields[7] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_MethodDescriptorProto, name, name, 0),
    PB_FIELD(  2, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_MethodDescriptorProto, input_type, name, 0),
    PB_FIELD(  3, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_MethodDescriptorProto, output_type, input_type, 0),
    PB_FIELD(  4, MESSAGE , OPTIONAL, STATIC  , OTHER, google_protobuf_MethodDescriptorProto, options, output_type, &google_protobuf_MethodOptions_fields),
    PB_FIELD(  5, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_MethodDescriptorProto, client_streaming, options, &google_protobuf_MethodDescriptorProto_client_streaming_default),
    PB_FIELD(  6, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_MethodDescriptorProto, server_streaming, client_streaming, &google_protobuf_MethodDescriptorProto_server_streaming_default),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_FileOptions_fields[23] = {
    PB_FIELD(  1, STRING  , OPTIONAL, CALLBACK, FIRST, google_protobuf_FileOptions, java_package, java_package, 0),
    PB_FIELD(  8, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, java_outer_classname, java_package, 0),
    PB_FIELD(  9, UENUM   , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, optimize_for, java_outer_classname, &google_protobuf_FileOptions_optimize_for_default),
    PB_FIELD( 10, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, java_multiple_files, optimize_for, &google_protobuf_FileOptions_java_multiple_files_default),
    PB_FIELD( 11, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, go_package, java_multiple_files, 0),
    PB_FIELD( 16, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, cc_generic_services, go_package, &google_protobuf_FileOptions_cc_generic_services_default),
    PB_FIELD( 17, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, java_generic_services, cc_generic_services, &google_protobuf_FileOptions_java_generic_services_default),
    PB_FIELD( 18, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, py_generic_services, java_generic_services, &google_protobuf_FileOptions_py_generic_services_default),
    PB_FIELD( 20, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, java_generate_equals_and_hash, py_generic_services, 0),
    PB_FIELD( 23, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, deprecated, java_generate_equals_and_hash, &google_protobuf_FileOptions_deprecated_default),
    PB_FIELD( 27, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, java_string_check_utf8, deprecated, &google_protobuf_FileOptions_java_string_check_utf8_default),
    PB_FIELD( 31, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, cc_enable_arenas, java_string_check_utf8, &google_protobuf_FileOptions_cc_enable_arenas_default),
    PB_FIELD( 36, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, objc_class_prefix, cc_enable_arenas, 0),
    PB_FIELD( 37, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, csharp_namespace, objc_class_prefix, 0),
    PB_FIELD( 39, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, swift_prefix, csharp_namespace, 0),
    PB_FIELD( 40, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, php_class_prefix, swift_prefix, 0),
    PB_FIELD( 41, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, php_namespace, php_class_prefix, 0),
    PB_FIELD( 42, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FileOptions, php_generic_services, php_namespace, &google_protobuf_FileOptions_php_generic_services_default),
    PB_FIELD( 44, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, php_metadata_namespace, php_generic_services, 0),
    PB_FIELD( 45, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, ruby_package, php_metadata_namespace, 0),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FileOptions, uninterpreted_option, ruby_package, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_FileOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_MessageOptions_fields[7] = {
    PB_FIELD(  1, BOOL    , OPTIONAL, STATIC  , FIRST, google_protobuf_MessageOptions, message_set_wire_format, message_set_wire_format, &google_protobuf_MessageOptions_message_set_wire_format_default),
    PB_FIELD(  2, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_MessageOptions, no_standard_descriptor_accessor, message_set_wire_format, &google_protobuf_MessageOptions_no_standard_descriptor_accessor_default),
    PB_FIELD(  3, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_MessageOptions, deprecated, no_standard_descriptor_accessor, &google_protobuf_MessageOptions_deprecated_default),
    PB_FIELD(  7, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_MessageOptions, map_entry, deprecated, 0),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_MessageOptions, uninterpreted_option, map_entry, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_MessageOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_FieldOptions_fields[9] = {
    PB_FIELD(  1, UENUM   , OPTIONAL, STATIC  , FIRST, google_protobuf_FieldOptions, ctype, ctype, &google_protobuf_FieldOptions_ctype_default),
    PB_FIELD(  2, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldOptions, packed, ctype, 0),
    PB_FIELD(  3, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldOptions, deprecated, packed, &google_protobuf_FieldOptions_deprecated_default),
    PB_FIELD(  5, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldOptions, lazy, deprecated, &google_protobuf_FieldOptions_lazy_default),
    PB_FIELD(  6, UENUM   , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldOptions, jstype, lazy, &google_protobuf_FieldOptions_jstype_default),
    PB_FIELD( 10, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_FieldOptions, weak, jstype, &google_protobuf_FieldOptions_weak_default),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_FieldOptions, uninterpreted_option, weak, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_FieldOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_OneofOptions_fields[3] = {
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_OneofOptions, uninterpreted_option, uninterpreted_option, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_OneofOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumOptions_fields[5] = {
    PB_FIELD(  2, BOOL    , OPTIONAL, STATIC  , FIRST, google_protobuf_EnumOptions, allow_alias, allow_alias, 0),
    PB_FIELD(  3, BOOL    , OPTIONAL, STATIC  , OTHER, google_protobuf_EnumOptions, deprecated, allow_alias, &google_protobuf_EnumOptions_deprecated_default),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_EnumOptions, uninterpreted_option, deprecated, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_EnumOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumValueOptions_fields[4] = {
    PB_FIELD(  1, BOOL    , OPTIONAL, STATIC  , FIRST, google_protobuf_EnumValueOptions, deprecated, deprecated, &google_protobuf_EnumValueOptions_deprecated_default),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_EnumValueOptions, uninterpreted_option, deprecated, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_EnumValueOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_ServiceOptions_fields[4] = {
    PB_FIELD( 33, BOOL    , OPTIONAL, STATIC  , FIRST, google_protobuf_ServiceOptions, deprecated, deprecated, &google_protobuf_ServiceOptions_deprecated_default),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_ServiceOptions, uninterpreted_option, deprecated, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_ServiceOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_MethodOptions_fields[5] = {
    PB_FIELD( 33, BOOL    , OPTIONAL, STATIC  , FIRST, google_protobuf_MethodOptions, deprecated, deprecated, &google_protobuf_MethodOptions_deprecated_default),
    PB_FIELD( 34, UENUM   , OPTIONAL, STATIC  , OTHER, google_protobuf_MethodOptions, idempotency_level, deprecated, &google_protobuf_MethodOptions_idempotency_level_default),
    PB_FIELD(999, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_MethodOptions, uninterpreted_option, idempotency_level, &google_protobuf_UninterpretedOption_fields),
    PB_FIELD(1000, EXTENSION, OPTIONAL, CALLBACK, OTHER, google_protobuf_MethodOptions, extensions, uninterpreted_option, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_UninterpretedOption_fields[8] = {
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_UninterpretedOption, name, name, &google_protobuf_UninterpretedOption_NamePart_fields),
    PB_FIELD(  3, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_UninterpretedOption, identifier_value, name, 0),
    PB_FIELD(  4, UINT64  , OPTIONAL, STATIC  , OTHER, google_protobuf_UninterpretedOption, positive_int_value, identifier_value, 0),
    PB_FIELD(  5, INT64   , OPTIONAL, STATIC  , OTHER, google_protobuf_UninterpretedOption, negative_int_value, positive_int_value, 0),
    PB_FIELD(  6, DOUBLE  , OPTIONAL, STATIC  , OTHER, google_protobuf_UninterpretedOption, double_value, negative_int_value, 0),
    PB_FIELD(  7, BYTES   , OPTIONAL, CALLBACK, OTHER, google_protobuf_UninterpretedOption, string_value, double_value, 0),
    PB_FIELD(  8, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_UninterpretedOption, aggregate_value, string_value, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_UninterpretedOption_NamePart_fields[3] = {
    PB_FIELD(  1, STRING  , REQUIRED, CALLBACK, FIRST, google_protobuf_UninterpretedOption_NamePart, name_part, name_part, 0),
    PB_FIELD(  2, BOOL    , REQUIRED, STATIC  , OTHER, google_protobuf_UninterpretedOption_NamePart, is_extension, name_part, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_SourceCodeInfo_fields[2] = {
    PB_FIELD(  1, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_SourceCodeInfo, location, location, &google_protobuf_SourceCodeInfo_Location_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_SourceCodeInfo_Location_fields[6] = {
    PB_FIELD(  1, INT32   , REPEATED, CALLBACK, FIRST, google_protobuf_SourceCodeInfo_Location, path, path, 0),
    PB_FIELD(  2, INT32   , REPEATED, CALLBACK, OTHER, google_protobuf_SourceCodeInfo_Location, span, path, 0),
    PB_FIELD(  3, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_SourceCodeInfo_Location, leading_comments, span, 0),
    PB_FIELD(  4, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_SourceCodeInfo_Location, trailing_comments, leading_comments, 0),
    PB_FIELD(  6, STRING  , REPEATED, CALLBACK, OTHER, google_protobuf_SourceCodeInfo_Location, leading_detached_comments, trailing_comments, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_GeneratedCodeInfo_fields[2] = {
    PB_FIELD(  1, MESSAGE , REPEATED, CALLBACK, FIRST, google_protobuf_GeneratedCodeInfo, annotation, annotation, &google_protobuf_GeneratedCodeInfo_Annotation_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_GeneratedCodeInfo_Annotation_fields[5] = {
    PB_FIELD(  1, INT32   , REPEATED, CALLBACK, FIRST, google_protobuf_GeneratedCodeInfo_Annotation, path, path, 0),
    PB_FIELD(  2, STRING  , OPTIONAL, CALLBACK, OTHER, google_protobuf_GeneratedCodeInfo_Annotation, source_file, path, 0),
    PB_FIELD(  3, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_GeneratedCodeInfo_Annotation, begin, source_file, 0),
    PB_FIELD(  4, INT32   , OPTIONAL, STATIC  , OTHER, google_protobuf_GeneratedCodeInfo_Annotation, end, begin, 0),
    PB_LAST_FIELD
};








/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(google_protobuf_FileDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_FileDescriptorProto, source_code_info) < 65536 && pb_membersize(google_protobuf_DescriptorProto, options) < 65536 && pb_membersize(google_protobuf_DescriptorProto_ExtensionRange, options) < 65536 && pb_membersize(google_protobuf_FieldDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_OneofDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_EnumDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_EnumValueDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_ServiceDescriptorProto, options) < 65536 && pb_membersize(google_protobuf_MethodDescriptorProto, options) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_google_protobuf_FileDescriptorSet_google_protobuf_FileDescriptorProto_google_protobuf_DescriptorProto_google_protobuf_DescriptorProto_ExtensionRange_google_protobuf_DescriptorProto_ReservedRange_google_protobuf_ExtensionRangeOptions_google_protobuf_FieldDescriptorProto_google_protobuf_OneofDescriptorProto_google_protobuf_EnumDescriptorProto_google_protobuf_EnumDescriptorProto_EnumReservedRange_google_protobuf_EnumValueDescriptorProto_google_protobuf_ServiceDescriptorProto_google_protobuf_MethodDescriptorProto_google_protobuf_FileOptions_google_protobuf_MessageOptions_google_protobuf_FieldOptions_google_protobuf_OneofOptions_google_protobuf_EnumOptions_google_protobuf_EnumValueOptions_google_protobuf_ServiceOptions_google_protobuf_MethodOptions_google_protobuf_UninterpretedOption_google_protobuf_UninterpretedOption_NamePart_google_protobuf_SourceCodeInfo_google_protobuf_SourceCodeInfo_Location_google_protobuf_GeneratedCodeInfo_google_protobuf_GeneratedCodeInfo_Annotation)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
#error Field descriptor for google_protobuf_MethodOptions.extensions is too large. Define PB_FIELD_16BIT to fix this.
#endif


/* On some platforms (such as AVR), double is really float.
 * These are not directly supported by nanopb, but see example_avr_double.
 * To get rid of this error, remove any double fields from your .proto.
 */
PB_STATIC_ASSERT(sizeof(double) == 8, DOUBLE_MUST_BE_8_BYTES)

/* @@protoc_insertion_point(eof) */
